Loading...
Searching...
No Matches
XrdPosixCallBack Class Referenceabstract

An abstract class to define a callback for Open() call. More...

`#include <XrdPosixCallBack.hh>`

Collaboration diagram for XrdPosixCallBack:

## Public Member Functions

| XrdPosixCallBack ()
virtual | ~XrdPosixCallBack ()
virtual void | Complete (int Result)=0

## Detailed Description

An abstract class to define a callback for Open() call.

This abstract class defines the callback interface for Open() calls. When passed, the request is done in the background. When a callback object is supplied, the method always return -1. However, if started successfully, the method sets errno to EINPROGRESS. Otherwise, errno contain the reason the request immediately failed. Upon completion, the the callback's Compete() method is invoked. The Result parameter contains what the method would have returned if it were executed synchronously: for succsessful Open() it is a non-negative file descriptor but on failure -1 with errno indicating why Open() failed. The caller is responsible for deleting the callback object after it has been invoked. Callbacks are executed in a separate thread.

Definition at line 51 of file XrdPosixCallBack.hh.

## Constructor & Destructor Documentation

## XrdPosixCallBack()

XrdPosixCallBack::XrdPosixCallBack | ( |  | ) |

inline

Definition at line 57 of file XrdPosixCallBack.hh.

{}

## ~XrdPosixCallBack()

virtual XrdPosixCallBack::~XrdPosixCallBack | ( |  | ) |

inline virtual

Definition at line 58 of file XrdPosixCallBack.hh.

{}

## Member Function Documentation

## Complete()

virtual void XrdPosixCallBack::Complete | ( | int | Result | ) |

pure virtual

Referenced by XrdPosixFile::HandleResponse().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdPosixCallBack.hh